model Triebstrang5
  annotation(Diagram(), experiment(StartTime = 0.0, StopTime = 30, Tolerance = 0.000001));
  Modelica.Mechanics.Rotational.Components.SpringDamper springdamper1(c = 10000, d = 1) annotation(Placement(visible = true, transformation(origin = {-68.2825,-7.17818}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  PJlib.Kap16.Motor motor1 annotation(Placement(visible = true, transformation(origin = {-65.3238,35.3956}, extent = {{-8,-8},{8,8}}, rotation = 0)));
  PJlib.Kap16.Kupplung kupplung1(Mh = 300) annotation(Placement(visible = true, transformation(origin = {-40.8633,29.3526}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  PJlib.Kap16.Schaltgetriebe1 schaltgetriebe11(gang = 2) annotation(Placement(visible = true, transformation(origin = {-17.2662,29.3525}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  PJlib.Kap16.Differentialgetriebe differentialgetriebe1 annotation(Placement(visible = true, transformation(origin = {-46.9065,-7.19425}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.IdealRollingWheel idealrollingwheel1(radius = 0.3) annotation(Placement(visible = true, transformation(origin = {0.28776,4.60433}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.IdealRollingWheel idealrollingwheel2(radius = 0.3) annotation(Placement(visible = true, transformation(origin = {0.28776,-17.2662}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Spring spring1(c = 7500) annotation(Placement(visible = true, transformation(origin = {-18.705,4.31653}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Spring spring2(c = 7500) annotation(Placement(visible = true, transformation(origin = {-17.8417,-17.2663}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  PJlib.Kap16.Karosserie karosserie1 annotation(Placement(visible = true, transformation(origin = {29.0647,-7.48201}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  Modelica.Blocks.Sources.CombiTimeTable combitimetable1(tableOnFile = true, tableName = "gas1", fileName = "gaspedal.txt") annotation(Placement(visible = true, transformation(origin = {-65.6116,75.1079}, extent = {{-6,6},{6,-6}}, rotation = -90)));
  Modelica.Blocks.Math.Sum sum1 annotation(Placement(visible = true, transformation(origin = {-65.3237,56.1152}, extent = {{-6,6},{6,-6}}, rotation = -90)));
  Modelica.Blocks.Math.Sum sum2 annotation(Placement(visible = true, transformation(origin = {-40.8633,54.9641}, extent = {{-6,6},{6,-6}}, rotation = -90)));
  Modelica.Blocks.Sources.CombiTimeTable combitimetable2(tableOnFile = true, tableName = "kupplung2", fileName = "kupplung.txt") annotation(Placement(visible = true, transformation(origin = {-40.8633,75.1079}, extent = {{-6,6},{6,-6}}, rotation = -90)));
  Modelica.Blocks.Sources.Constant const(k = 0) annotation(Placement(visible = true, transformation(origin = {29.0647,73.3813}, extent = {{-6,6},{6,-6}}, rotation = -90)));
equation
  connect(const.y,karosserie1.u) annotation(Line(points = {{29.0647,66.7813},{29.0647,66.7813},{29.0647,-1.25089},{28.962,-1.25089}}));
  connect(idealrollingwheel1.flangeT,karosserie1.flange_a) annotation(Line(points = {{6.28776,4.60433},{12.3741,4.60433},{12.3741,-6.90647},{23.0904,-6.90647},{23.0904,-7.15676}}));
  connect(idealrollingwheel2.flangeT,karosserie1.flange_a) annotation(Line(points = {{6.28776,-17.2662},{12.3741,-17.2662},{12.3741,-6.90647},{23.0904,-6.90647},{23.0904,-7.15676}}));
  connect(differentialgetriebe1.flange_b1,spring2.flange_a) annotation(Line(points = {{-40.9065,-10.1942},{-35.3957,-10.1942},{-35.3957,-17.2662},{-23.8417,-17.2662},{-23.8417,-17.2663}}));
  connect(spring2.flange_b,idealrollingwheel2.flangeR) annotation(Line(points = {{-11.8417,-17.2663},{-5.17986,-17.2663},{-5.17986,-17.2662},{-5.71224,-17.2662}}));
  connect(differentialgetriebe1.flange_b,spring1.flange_a) annotation(Line(points = {{-40.9065,-4.19425},{-35.3957,-4.19425},{-35.3957,4.31655},{-24.705,4.31655},{-24.705,4.31653}}));
  connect(spring1.flange_b,idealrollingwheel1.flangeR) annotation(Line(points = {{-12.705,4.31653},{-5.46763,4.31653},{-5.46763,4.60433},{-5.71224,4.60433}}));
  connect(springdamper1.flange_b,differentialgetriebe1.flange_a) annotation(Line(points = {{-62.2825,-7.17818},{-51.7986,-7.17818},{-51.7986,-7.19425},{-52.9065,-7.19425}}));
  connect(schaltgetriebe11.flange_b,springdamper1.flange_a) annotation(Line(points = {{-11.2662,29.3525},{-3.45324,29.3525},{-3.45324,15.5396},{-80.8633,15.5396},{-80.8633,-7.19424},{-74.2825,-7.19424},{-74.2825,-7.17818}}));
  connect(kupplung1.flange_b,schaltgetriebe11.flange_a) annotation(Line(points = {{-34.8633,29.3526},{-23.0216,29.3526},{-23.0216,29.3525},{-23.2662,29.3525}}));
  connect(combitimetable2.y,sum2.u) annotation(Line(points = {{-40.8633,68.5079},{-40.8633,68.5079},{-40.8633,62.1641},{-40.8633,62.1641}}));
  connect(sum2.y,kupplung1.u) annotation(Line(points = {{-40.8633,48.3641},{-40.8633,48.3641},{-40.8633,35.5926},{-40.8633,35.5926}}));
  connect(motor1.flange_b,kupplung1.flange_a) annotation(Line(points = {{-57.3238,29.3956},{-42.0144,29.3956},{-42.0144,29.3526},{-46.8633,29.3526}}));
  connect(sum1.y,motor1.u) annotation(Line(points = {{-65.3237,49.5152},{-65.3237,49.5152},{-65.3237,43.6356},{-65.3238,43.6356}}));
  connect(combitimetable1.y,sum1.u) annotation(Line(points = {{-65.6116,68.5079},{-65.6115,68.5079},{-65.6115,63.3152},{-65.3237,63.3152}}));
end Triebstrang5;

