model ViertelwagenMbsD
  annotation(experiment(StartTime = 0.0, StopTime = 0.5, Tolerance = 0.000001));
  PJlib.Kap17.Strasse1 strasse11 annotation(Placement(visible = true, transformation(origin = {5.45977,-27.0115}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  Modelica.Blocks.Sources.Sine sine1(amplitude = 0.05, freqHz = 100 / (2 * Modelica.Constants.pi), phase = Modelica.Constants.pi / 2) annotation(Placement(visible = true, transformation(origin = {-32.7881,-27.3529}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  inner Modelica.Mechanics.MultiBody.World world(n = {0,0,-1}, enableAnimation = false) annotation(Placement(visible = true, transformation(origin = {5.12821,-59.2593}, extent = {{12,-12},{-12,12}}, rotation = 90)));
  Modelica.Mechanics.MultiBody.Parts.Body body2(r_0(start = {0,0,0.597}, each fixed = true), r_CM = {0,0,0}, m = 1200, I_11 = 1, I_22 = 1, I_33 = 1) annotation(Placement(visible = true, transformation(origin = {-29.3447,70.6553}, extent = {{12,12},{-12,-12}}, rotation = -180)));
  Modelica.Mechanics.MultiBody.Parts.Body body1(r_0(start = {0,0,0.23}, each fixed = true), r_CM = {0,0,0}, m = 30, I_11 = 1, I_22 = 1, I_33 = 1) annotation(Placement(visible = true, transformation(origin = {-29.6247,26.7806}, extent = {{12,12},{-12,-12}}, rotation = -180)));
  PJlib.Kap17.Feder1 feder12(c = 180000, b = 0, l0 = 0.3) annotation(Placement(visible = true, transformation(origin = {5.12821,3.7037}, extent = {{12,-12},{-12,12}}, rotation = 90)));
  PJlib.Kap17.Feder1 feder11(c = 27000, b = 2000, l0 = 0.8) annotation(Placement(visible = true, transformation(origin = {5.12821,44.7293}, extent = {{12,-12},{-12,12}}, rotation = 90)));
equation
  connect(body1.frame_a,feder12.frame_b) annotation(Line(points = {{-17.6247,26.7806},{5.41311,26.7806},{5.41311,15.7037},{5.12821,15.7037}}));
  connect(body2.frame_a,feder11.frame_b) annotation(Line(points = {{-17.3447,70.6553},{5.41311,70.6553},{5.41311,56.7293},{5.12821,56.7293}}));
  connect(feder11.frame_a,feder12.frame_b) annotation(Line(points = {{5.12821,32.7293},{5.41311,32.7293},{5.41311,15.7037},{5.12821,15.7037}}));
  connect(strasse11.frame_b,feder12.frame_a) annotation(Line(points = {{5.45977,-15.0115},{5.45977,-8.26211},{5.12821,-8.26211},{5.12821,-8.2963}}));
  connect(sine1.y,strasse11.u) annotation(Line(points = {{-19.5881,-27.3529},{-6.89655,-27.3529},{-6.89655,-27.0115},{-7.02023,-27.0115}}));
  connect(strasse11.frame_a,world.frame_b) annotation(Line(points = {{5.45977,-39.0115},{5.45977,-47.1264},{5.12821,-47.1264},{5.12821,-47.2593}}));
end ViertelwagenMbsD;

